classification
Title: IDLE: Rename Class Browser as Module Browser
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: terry.reedy
Priority: normal Keywords: patch

Created on 2017-09-13 21:23 by terry.reedy, last changed 2017-09-23 21:17 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3704 merged cheryl.sabella, 2017-09-23 00:29
PR 3710 merged python-dev, 2017-09-23 20:46
Messages (3)
msg302118 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-13 21:23
'ClassBrowser' expanded to a module browser years ago.  Change the name in the menu, multiple places in browser.py, and wherever the class is referenced.

If one clicks the menu entry while not editing a Python file, an Open Module entry box is displayed.  Otherwise the edited module is opened. It would be good if this were.  We have no menu tests at the moment.
msg302804 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-23 20:46
New changeset cd99e79dc74c9d9dea83a5551d657c334b2cc6c9 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31459: Rename IDLE's module browser from Class Browser to Module Browser. (#3704)
https://github.com/python/cpython/commit/cd99e79dc74c9d9dea83a5551d657c334b2cc6c9
msg302805 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-09-23 21:16
New changeset b650194652a591503f97c15f8f4c0b08c05058c5 by Terry Jan Reedy (Miss Islington (bot)) in branch '3.6':
[3.6] bpo-31459: Rename IDLE's module browser from Class Browser to Module Browser. (GH-3704) (#3710)
https://github.com/python/cpython/commit/b650194652a591503f97c15f8f4c0b08c05058c5
History
Date User Action Args
2017-09-23 21:17:51terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-23 21:16:49terry.reedysetmessages: + msg302805
2017-09-23 20:46:17python-devsetpull_requests: + pull_request3696
2017-09-23 20:46:03terry.reedysetmessages: + msg302804
2017-09-23 00:29:36cheryl.sabellasetkeywords: + patch
stage: test needed -> patch review
pull_requests: + pull_request3689
2017-09-15 17:44:30terry.reedysettitle: IDLE: Remane Class Browser as Module Browser -> IDLE: Rename Class Browser as Module Browser
2017-09-13 22:03:45terry.reedylinkissue31461 dependencies
2017-09-13 21:23:01terry.reedycreate